/*-----------------------------------------------------------------------------------------------
	
世界観設定のタイトルを改行できるようにします
\nと入力するとその箇所で改行されるようになります

注意
\m入れないと改行されなくなるので長すぎるタイトルを設定していた場合は注意が必要

■対応バージョン
　SRPG Studio Version:1.212

■作成者：熱帯魚

■規約
・利用はSRPG Studioを使ったゲームに限ります。
・商用・非商用問いません。フリーです。
・加工等、問題ありません。どんどん改造してください。
・クレジット明記無し　OK
・再配布、転載　OK
・SRPG Studio利用規約は遵守してください。

-----------------------------------------------------------------------------------------------*/
var Nettaigyo = Nettaigyo || {};

var DictionaryTitleWidth = 7;
Nettaigyo.VariableReplacer = defineObject(VariableReplacer,
{
	_configureVariableObject:function(groupArray){
		groupArray.appendObject(Nettaigyo.DataVariableKaigyou);
	}
});
Nettaigyo.DataVariableBaseParam = defineObject(BaseDataVariable,
{
	getCapacityKeyword: function() {
		return 'a';
	},

	getReplaceValue: function(text) {
		var result = root.queryCommand(this.getCapacityKeyword());
		return result;
	},
	
	getKey: function() {
		var key = /\\A/;
		
		return key;
	}
}
);

Nettaigyo.drawFixedTitleTextCountAnalyzeText = function(orgText){
	var text;
	var variableReplacer = createObject(Nettaigyo.VariableReplacer);

	// 文字列を置き換える
	text = variableReplacer.startReplace(orgText);
	return text;
}
Nettaigyo.DataVariableKaigyou = defineObject(Nettaigyo.DataVariableBaseParam,{
	getReplaceValue: function(text) {
		return '\n';//Saf
	},
	getKey: function() {
		var key = /\\n/;
		return key;
	}
});
TextRenderer.drawFixedTitleTextCount = function(x, y, text, color, font, format, pic, count, textCount) {
	var range;
	var width = TitleRenderer.getTitlePartsWidth();
	var height = TitleRenderer.getTitlePartsHeight();
	
	if (pic !== null) {
		TitleRenderer.drawTitle(pic, x, y, width, height, count);
	}
	
	range = createRangeObject(x + width, y, width * textCount, height);
	text = Nettaigyo.drawFixedTitleTextCountAnalyzeText(text);
	this.drawRangeText(range, format, text, -1, color, font);
};
(function () {
	
	DictionaryScrollbar.drawScrollContent = function(x, y, object, isSelect, index) {
		var text, format;
		var textui = this.getTextUI();
		var color = textui.getColor();
		var font = textui.getFont();
		var pic = textui.getUIImage();
		var handle = null;
		
		if (this.isNameDisplayable(object, 0)) {
			text = object.getName();
			if (typeof object.getIconResourceHandle !== 'undefined') {
				handle = object.getIconResourceHandle();
			}
			format = TextFormat.LEFT;
		}
		else {
			text = StringTable.HideData_Question;
			format = TextFormat.CENTER;
		}
		
		if (handle !== null) {
			GraphicsRenderer.drawImage(x - 10, y + 10, handle, GraphicsType.ICON);
		}
		
		TextRenderer.drawFixedTitleTextCount(x, y, text, color, font, format, pic, this._titleCount, DictionaryTitleWidth);
	};
})();